Name:           nodm
Version:        0.7
Release:        1%{?dist}
Summary:        A display manager automatically starting an X session

License:        BSD and GPLv2+
URL:            http://www.enricozini.org/sw/%{name}
Source0:        %{url}/%{name}-%{version}.tar.gz
Source1:        %{name}.service

BuildRequires:  pam-devel
BuildRequires:  cmake
BuildRequires:  help2man
BuildRequires:  libtool
BuildRequires:  fakeroot

%description
An automatic display manager which automatically starts an X session at
system boot. It is meant for devices like smartphones, but can be used
on a regular computer as well, if the security implications are acceptable.

%prep
%autosetup
sed -i 's,test_%{name} ,,' Makefile.am
# run autogen.sh since we patch configure.ac
# but don't run configure twice
NOCONFIGURE=true ./autogen.sh

%build
%configure
%make_build

%install
%make_install
install -m0644 %SOURCE1 -D %{buildroot}%{_libdir}/systemd/system/%{name}.service

%check
fakeroot bash -c ./test_%{name} -


%files
%license COPYING
%doc AUTHORS README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_libdir}/systemd/system/%{name}.service

%changelog
* Wed Dec 16 2015 Raphael Groner <projects.rg@smart.ms> - 0.7-1
- unretire, new upstream version

* Sun Feb 14 2010 Sebastian Dziallas <sebastian@when.com> - 0.6-2
- fix issue with DSO linking thanks to Mathieu Bridon

* Thu Jan 28 2010 Sebastian Dziallas <sebastian@when.com> - 0.6-1
- initial packaging
